# Users and group management
class users (
  $accounts = $users::params::accounts,
) inherits ::users::params {
  if $accounts {
    $accounts.each |$username, $userdata| {
      $ssh_key = lookup("users::${username}::ssh_key", undef, undef, undef)

      if $ssh_key {
        $ssh_key_option = { 'sshkeys' => [ $ssh_key ] }
      } else {
        $ssh_key_option = { }
      }

      $user_options = $userdata + $ssh_key_option

      accounts::user { $username:
        * => $user_options,
      }
    }
  }
}
